gnutls_openpgp_crt_get_subkey_usage(3)

NAME
gnutls_openpgp_crt_get_subkey_usage - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_crt_get_subkey_usage(gnutls_openpgp_crt_t key, unsigned int idx, unsigned int * key_usage);

ARGUMENTS

gnutls_openpgp_crt_t key
    should contain a gnutls_openpgp_crt_t type

unsigned int idx
    the subkey index

unsigned int * key_usage
    where the key usage bits will be stored

DESCRIPTION
This function will return certificate's key usage, by checking the key algorithm. The key usage value will ORed values of GNUTLS_KEY_DIGITAL_SIGNATURE or GNUTLS_KEY_KEY_ENCIPHERMENT. A negative error code may be returned in case of parsing error.

RETURNS
key usage value.

SINCE
2.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2015 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/